# ColorMaterialProperty

#### new Cesium.ColorMaterialProperty(color)
DataSources/ColorMaterialProperty.js 25

A `MaterialProperty` that maps to solid color `Material` uniforms.

Name | Type | Default | Description
--- | --- | --- | ---
`color` | Property | `Color.WHITE` | optional The `Color` Property to be used.

### Members

#### color : Property
DataSources/ColorMaterialProperty.js 69

Gets or sets the `Color` `Property`.

Default Value: `Color.WHITE`

#### readonlydefinitionChanged : Event
DataSources/ColorMaterialProperty.js 57

Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### readonlyisConstant : Boolean
DataSources/ColorMaterialProperty.js 42

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

### Methods

#### equals(other) → Boolean
DataSources/ColorMaterialProperty.js 104

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getType(time) → String
DataSources/ColorMaterialProperty.js 78

Gets the `Material` type at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the type.

##### Returns:

The type of material.

#### getValue(time, result) → Object
DataSources/ColorMaterialProperty.js 89

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.